Foxit PDF SDK

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
FSDK.SearchOption Class Reference

## Public Member Functions
| constructor ()
| Constructor.
| constructor (is_whole_word, is_case_sensitive, is_search_bookmarks, is_search_in_marup, is_search_in_attachments, is_ignore_accents, is_proximity, is_stemming, is_ignore_full_width, max_docs, word_matching, is_search_doc_text)
| Constructor, with parameters. More...
| Set (is_whole_word, is_case_sensitive, is_search_bookmarks, is_search_in_marup, is_search_in_attachments, is_ignore_accents, is_proximity, is_stemming, is_ignore_full_width, max_docs, word_matching, is_search_doc_text)
| Set values. More...

## Public Attributes
| is_case_sensitive
| Specifies whether the search query is case sensitive. Defaule value: false.
| is_ignore_accents
| Specifies whether accents and diacriticals are ignored while searching the query term. Defaule value: false.
| is_ignore_full_width
| Specifies whether full width and half width characters in the document exactly match the search query. true means ignore full width and half width matching, while false means exactly match the search query. Defaule value: false.
| is_proximity
| Specifies whether the search query will reflect the proximity of words in the results ranking when performing the search that contains AND Boolean clauses. Defaule value: false.
| is_search_bookmarks
| Specifies whether bookmarks are searched for the query. Defaule value: false.
| is_search_doc_text
| Specifies whether the document text is searched for the query. Defaule value: true.
| is_search_in_attachments
| Specifies whether any PDF file attachments should be searched along with the base document. Defaule value: false.
| is_search_in_markup
| Specifies whether markup (annotations) are searched for the query. Defaule value: false.
| is_stemming
| Specifies whether the search query will take the stemming of words (for example, run, runs, running) into account when performing the search. Defaule value: false.
| is_whole_word
| Specifies whether search finds only occurrences of complete words that are specified in the query. Defaule value: false.
| max_docs
| The maximum number of documents that will be returned as part of the search query. Defaule value: 100.
| word_matching
| How individual words in the query will be matched to words in the document. This property is relevant only when a query has more than one word. Please refer to values starting from FSDK.SearchOption.e_WordMatchingMatchPhrase and this should be one of these values.

## Static Public Attributes
static | e_WordMatchingMatchAllWords
| Word matching: match all words.
static | e_WordMatchingMatchAnyWord
| Word matching: match any word.
static | e_WordMatchingMatchPhrase
| Enumeration for word matching. More...

## Detailed Description

This class represents search option.

## Member Function Documentation

## ◆ constructor()

FSDK.SearchOption.constructor | ( | is_whole_word | ,
|  | is_case_sensitive | ,
|  | is_search_bookmarks | ,
|  | is_search_in_marup | ,
|  | is_search_in_attachments | ,
|  | is_ignore_accents | ,
|  | is_proximity | ,
|  | is_stemming | ,
|  | is_ignore_full_width | ,
|  | max_docs | ,
|  | word_matching | ,
|  | is_search_doc_text |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | is_whole_word | Specifies whether search finds only occurrences of complete words that are specified in the query.
  [in] | is_case_sensitive | Specifies whether the search query is case sensitive.
  [in] | is_search_bookmarks | Specifies whether bookmarks are searched for the query.
  [in] | is_search_in_markup | Specifies whether markup (annotations) are searched for the query.
  [in] | is_search_in_attachments | Specifies whether any PDF file attachments should be searched along with the base document.
  [in] | is_ignore_accents | Specifies whether accents and diacriticals are ignored while searching the query term.
  [in] | is_proximity | Specifies whether the search query will reflect the proximity of words in the results ranking when performing the search that contains AND Boolean clauses.
  [in] | is_stemming | Specifies whether the search query will take the stemming of words (for example, run, runs, running) into account when performing the search.
  [in] | is_ignore_full_width | Specifies whether full width and half width characters in the document exactly match the search query.
  [in] | max_docs | The maximum number of documents that will be returned as part of the search query.
  [in] | word_matching | How individual words in the query will be matched to words in the document.
  [in] | is_search_doc_text | Specifies whether the document text is searched for the query.

## ◆ Set()

FSDK.SearchOption.Set | ( | is_whole_word | ,
|  | is_case_sensitive | ,
|  | is_search_bookmarks | ,
|  | is_search_in_marup | ,
|  | is_search_in_attachments | ,
|  | is_ignore_accents | ,
|  | is_proximity | ,
|  | is_stemming | ,
|  | is_ignore_full_width | ,
|  | max_docs | ,
|  | word_matching | ,
|  | is_search_doc_text |
| ) |  |

Set values.

Parameters

  [in] | is_whole_word | Specifies whether search finds only occurrences of complete words that are specified in the query.
  [in] | is_case_sensitive | Specifies whether the search query is case sensitive.
  [in] | is_search_bookmarks | Specifies whether bookmarks are searched for the query.
  [in] | is_search_in_markup | Specifies whether markup (annotations) are searched for the query.
  [in] | is_search_in_attachments | Specifies whether any PDF file attachments should be searched along with the base document.
  [in] | is_ignore_accents | Specifies whether accents and diacriticals are ignored while searching the query term.
  [in] | is_proximity | Specifies whether the search query will reflect the proximity of words in the results ranking when performing the search that contains AND Boolean clauses.
  [in] | is_stemming | Specifies whether the search query will take the stemming of words (for example, run, runs, running) into account when performing the search.
  [in] | is_ignore_full_width | Specifies whether full width and half width characters in the document exactly match the search query.
  [in] | max_docs | The maximum number of documents that will be returned as part of the search query.
  [in] | word_matching | How individual words in the query will be matched to words in the document.
  [in] | is_search_doc_text | Specifies whether the document text is searched for the query.

Returns
  None.

## Member Data Documentation

## ◆ e_WordMatchingMatchPhrase

FSDK.SearchOption.e_WordMatchingMatchPhrase
| static

Enumeration for word matching.

Values of this enumeration should be used alone.

Word matching: match phrase.